/*                            -----DelPt.C-----

written by F.N. Zihlman
compiler: Turbo C V2.0

USAGE:  DelPt(&datain,x,y,xmin,xmax,ymin,ymax,cirrad)

where:	* datain is thedata structure containing the input data
	* x & y are the current cursor coordinates
	* xmin, xmax, ymin, ymax are the cursor extrema
	* cirrad is the cursor radius

function: delete a time/velocity point form a function if the cursor's
	  x,y position is on or within the cursor radius of the data
	  point

*/

#include <stdio.h>

#ifndef ISODEFSH
#define ISODEFSH 1
#include "isodefs.h"
#endif

#ifndef ISOTVH
#define ISOTVH 1
#include "isotv.h"
#endif

float IsoNewV();	/* calc a new velocity */
float IsoNewT();	/* calc a new time     */

/* =================================================================== */

void DelPt(datain,x,y,xmin,xmax,ymin,ymax,cirrad)
TVDATA *datain;
int x,y,xmin,xmax,ymin,ymax,cirrad;
{
  float t1,t2,v1,v2,test[50][2];
  int i,icount,icount2;

  v1=IsoNewV((x-(cirrad/2)),xmin,xmax,datain->vmin,datain->vmax);
  v2=IsoNewV((x+(cirrad/2)),xmin,xmax,datain->vmin,datain->vmax);
  t1=IsoNewT((y-(cirrad/2)),ymin,ymax,datain->tmin,datain->tmax);
  t2=IsoNewT((y+(cirrad/2)),ymin,ymax,datain->tmin,datain->tmax);

  icount=datain->numread;
  icount2=0;
  for(i=0;i<icount;i++)
    if(((datain->tv[i][1]>=v1)&&(datain->tv[i][1]<=v2))&&
      ((datain->tv[i][0]>=t1)&&(datain->tv[i][0]<=t2)))
        datain->numread--;
    else
    {
      test[icount2][0]=datain->tv[i][0];
      test[icount2++][1]=datain->tv[i][1];
    }

  for(i=0;i<datain->numread;i++)
  {
    datain->tv[i][0]=test[i][0];
    datain->tv[i][1]=test[i][1];
  }

  datain->tmin=99999.;
  datain->tmax=0.;
  datain->vmin=datain->tmin;
  datain->vmax=datain->tmax;
  for(i=0;i<datain->numread;i++)
  {
    if(datain->tv[i][0]<datain->tmin)
      datain->tmin=datain->tv[i][0];
    if(datain->tv[i][0]>datain->tmax)
      datain->tmax=datain->tv[i][0];
    if(datain->tv[i][1]<datain->vmin)
      datain->vmin=datain->tv[i][1];
    if(datain->tv[i][1]>datain->vmax)
      datain->vmax=datain->tv[i][1];
  }
}                        /* -----end DelPt----- */