/*                            -----IsoCdp.c-----

Written by F.N.Zihlman
compiler: Turbo C V2.0

USAGE: istat=IsoCdp(iobuf,vid)

where: 1) istat is the return status of type int
       2) iobuf is the input buffer from function IsoRead
       3) vid is the char string array to receive the cdp

FUNCTION: IsoCdp is passed the input buffer from IsoRead and is
          converted to the cdp identification and assigned to vid.
	  If the conversion is correct, istat is assigned a value
	  of TRUE.
*/

#include <stdio.h>
#include <ctype.h>

#define TRUE 1
#define FALSE 0
#define IDLEN 7

/* ----------------------------------------------------------------- */

int IsoCdp(char iobuf[], char Vid[])
{
  int ichar=0,ilen,istat,i,i2;

  ilen=strlen(iobuf);
  while((iobuf[ichar]==' ')||(iobuf[ichar]=='\t'))
    ichar++;

  if(ichar==ilen)
    return(istat=FALSE);
  else
  {
    for(i=ichar,i2=0;((i<ilen)&&(i2<IDLEN)&&(isalnum(iobuf[i])));i++,i2++)
      Vid[i2]=iobuf[i];
    if(i2<IDLEN)
      Vid[i2]='\0';
    else
      Vid[IDLEN]='\0';
    return(istat=TRUE);
  }
}                       /* -----end IsoCdp----- */

