/*                            -----IsoDef.c-----

written by F.N.Zihlman
compiler: TurboC V2.0

USAGE:  IsoDef(&datain,datacount);

where: * datain is data structure containing the input data
       * datacount is of data type int

FUNCTION: IsoDef writes data sets to an output file (in response to F4)
          in DISCO define file format
*/

#include <stdio.h>

#define IDLEN 7
#define MAXROWS 50
#define MAXCOLS 2

typedef struct {
        char id[IDLEN];
	int numread;
	float tmin,tmax,vmin,vmax;
	float tv[MAXROWS][MAXCOLS];
	} TVDATA;

/* ---------------------------------------------------------------- */

void IsoDef(datain,datacount)
TVDATA *datain;
int datacount;
{
  extern FILE *outfile;
  int i,j,icount=0;

  for(j=0;j<datacount;j++)
  {
    fprintf(outfile,"HANDVEL %s",datain->id);
    icount=0;
    for(i=0;i<datain->numread;i++)
    {
      if(icount==0)
      {
        fprintf(outfile,"\n%.0f\t%.0f",datain->tv[i][0],datain->tv[i][1]);
        icount++;
      }
      else
        if((icount>0)&&(icount<=3))
        {
	  fprintf(outfile,"\t%.0f\t%.0f",datain->tv[i][0],datain->tv[i][1]);
	  icount++;
	  if(icount>3)
	    icount=0;
        }
    }
    datain++;
    fprintf(outfile,"\n");
  }
}
                         /* -----End IsoDef----- */

