/*                            -----IsoIso.c-----

written by F.N. Zihlman
compiler: Turbo C V2.0

USAGE: IsoIso(&datain,datacount);

where:
       * datain is the data structure for the input data
       * datacount is of data type int

function: IsoIso accepts the datain array and outputs the data to
	  a file (in response to F4) in ISO-EDIT input format
*/

#include <stdio.h>

#define IDLEN 7
#define MAXROWS 50
#define MAXCOLS 2

typedef struct {
        char id[IDLEN];
	int numread;
	float tmin,tmax,vmin,vmax;
	float tv[MAXROWS][MAXCOLS];
	} TVDATA;

/* ---------------------------------------------------------------- */

void IsoIso(datain,datacount)
TVDATA *datain;
int datacount;
{
  extern FILE *outfile;
  int i,j;

  for(j=0;j<datacount;j++)
  {
    fprintf(outfile,"%s\n",datain->id);
    for(i=0;i<datain->numread;i++)
      fprintf(outfile,"%.0f   %.0f\n",datain->tv[i][0],datain->tv[i][1]);
    fprintf(outfile,"\n");
    datain++;
  }
}                       /* ------end IsoIso----- */

