/*                            -----IsoNewT.c-----

Written by F.N.Zihlman
compiler: Turbo C V2.0

USAGE: time_value=IsoNewT(y,ymin,ymax,tmin,tmax)

where: 1) time_value is of type float
       2) y, ymin, ymax are y coordinate references of type int
       3) tmin, tmax are time references of type float

FUNCTION: Given the current cursor y value, the possible y minimum
          and maximum and the possible time minimum and maximum it
	  will return the linearly interpolated time value for the
	  current cursor y position
*/

float IsoNewT(y,ymin,ymax,tmin,tmax)
int   y,ymin,ymax;
float tmin,tmax;
{
  float t;

  if(y>ymax)
    y=ymax;
  if(y<ymin)
    y=ymin;
  t=((y-ymin)*(tmax-tmin)/(ymax-ymin))+tmin;
  return(t);
}                         /* -----End IsoNewT----- */