/*                            -----AddPt.C-----

written by F.N. Zihlman
compiler: Turbo C V2.0

USAGE:  AddPt(&datain,x,y,xmin,xmax,ymin,ymax)

where:	* datain is the data structure containing the input data
	* x & y are the current cursor coordinates
	* xmin, xmax, ymin, ymax are the cursor extrema

function: add a time/velocity point to an individual velocity function

*/

#include <stdio.h>

#ifndef ISODEFSH
#define ISODEFSH 1
#include "isodefs.h"
#endif

#ifndef ISOTVH
#define ISOTVH 1
#include "isotv.h"
#endif

float IsoNewV();	/* calc new velocity */
float IsoNewT();	/* calc new time     */

/* =================================================================== */

void AddPt(datain,x,y,xmin,xmax,ymin,ymax)
TVDATA *datain;
int x,y,xmin,xmax,ymin,ymax;
{
  float t,v,t1,t2;
  int i,i2;

  v=IsoNewV(x,xmin,xmax,datain->vmin,datain->vmax);
  t=IsoNewT(y,ymin,ymax,datain->tmin,datain->tmax);

  datain->numread++;
  datain->tv[datain->numread-1][0]=t;
  datain->tv[datain->numread-1][1]=v;

  for(i=0;i<datain->numread-1;i++)
    for(i2=i+1;i2<datain->numread;i2++)
      if(datain->tv[i2][0]<datain->tv[i][0])
      {
	t1=datain->tv[i][0];
	t2=datain->tv[i][1];
	datain->tv[i][0]=datain->tv[i2][0];
	datain->tv[i][1]=datain->tv[i2][1];
	datain->tv[i2][0]=t1;
	datain->tv[i2][1]=t2;
      }

  for(i=0;i<datain->numread;i++)
  {
    if(datain->tv[i][0]<datain->tmin)
      datain->tmin=datain->tv[i][0];
    if(datain->tv[i][0]>datain->tmax)
      datain->tmax=datain->tv[i][0];
    if(datain->tv[i][1]<datain->vmin)
      datain->vmin=datain->tv[i][0];
    if(datain->tv[i][1]>datain->vmax)
      datain->vmax=datain->tv[i][1];
  }
}                       /* -----end AddPt----- */