/*                         -----cbuff.c-----

written by: F.N. Zihlman
compiler: Turbo C V2.0

USAGE: istat=cbuff(iostr,str,numch)

where: istat = return status
       iostr = prompt string
       str   = pointer to a character string array
       numch = maximum number of characters allowed

function: cbuff will take the input string iostr, strip out any leading
	  blanks and copy it to the output string str up to the number
	  of characters indicated by numchar.
*/

#include <stdarg.h>
#include <stdio.h>
#include <string.h>
#include <ctype.h>

#define TRUE     1
#define FALSE    0
#define MAXLIN   132
#define QUITALL -1
#define EXITALL -2
#define EOLINE  '\0'

/* -------------------------------------------------------------------- */

int cbuff(iostr,str,numch)
char *iostr,*str;
int numch;
{
  int i,j=0;
  char iobuff[MAXLIN];

  printf("\n%s",iostr);
  gets(iobuff);

  for(i=0;((iobuff[i]!=EOLINE)&&(i<=MAXLIN-1)&&(j<=numch-1));i++)
    if((iobuff[i]==' ')&&(j>0))
      *(str+j++)=iobuff[i];
    else
      if(iobuff[i]!=' ')
        *(str+j++)=iobuff[i];
  *(str+j)=EOLINE;

  if(*str==EOLINE)
    return(FALSE);
  else
    if(stricmp(str,"exit")==0)
      return(EXITALL);
    else
      if(stricmp(str,"quit")==0)
        return(QUITALL);
      else
        return(TRUE);
}
