/*                          -----ibuff.c-----

written by F.N. Zihlman
compiler: Turbo C V2.0

USAGE: istat=ibuff(iostr,&inum)

where: istat = return status
       iostr = prompt string
       inum  = pointer to an integer number

function: ibuff will take the input string iostr, strip off all leading
	  blanks and then attempt to convert the remaining string to
	  an integer number.
*/

/* IBUFF.C: integer input buffer.
 *
 *  FUNCTION: istat=ibuff(iostr,inum) where:
 *
 *            istat = return status
 *            iostr = prompt string
 *            inum  = pointer to an integer number
 *
 *            IBUFF will strip out ALL blanks from the input string
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

#define MAXINT 10
#define MAXLIN 132
#define EOLINE '\0'
#define FAILURE -3
#define EXITALL -2
#define QUITALL -1
#define FALSE    0
#define TRUE     1

#define ISSIGN(x) ((x)=='+'||(x)=='-' ? 1:0)

/* --------------------------------------------------------------------- */

int ibuff(iostr,inum)          /* ***START IBUFF*** */
char *iostr;
int *inum;
{
  int i,j=0,error=FALSE;
  char ch,str[MAXINT+1],iobuff[MAXLIN];

  printf("\n%s",iostr);
  gets(iobuff);

  if(strlen(iobuff)==0)
    return(FALSE);
  else
  {
    for(i=0;(i<strlen(iobuff));i++)
      if(!isspace(iobuff[i]))
        str[j++]=iobuff[i];
    str[j]=EOLINE;

    if(stricmp(str,"exit")==0)
      return(EXITALL);
    else if(stricmp(str,"quit")==0)
      return(QUITALL);
    else if(strlen(str)==0)
      return(FALSE);
    else
    {
      for(i=0;i<strlen(str);i++)
	if(i==0)
	{
	  if( (!isdigit(str[i])) && (!ISSIGN(str[i])) )
            error=TRUE;
	}
	else if( !isdigit(str[i]) )
	  error=TRUE;

      if(error)
        return(FAILURE);
      else
      {
        *inum=atoi(str);
        return(TRUE);
      }
    }
  }
}                           /* ***END IBUFF*** */
