/*
			-----IsoEdit-----
A program to display time/velocity data points, draw isovelocity contours
through those data points and allow the user to edit the data and save the
edited data in either "iso" format or in the form used by the DISCO module
"DEFINE".

Two data displays are available, CDP location range or individual velocity
functions, each having a different data editing function available:

    1) CDP Location Range: Velocity functions composed of time/velocity
			   pairs are displayed with the CDP location on
			   the horizontal axis with the individual
			   velocity points positioned in time on the
			   vertical axis.  Time/velocity pairs, displayed
			   as points in time beneath cdp locations, may be
			   shifted up or down in time.

    2) Individual Velocity Functions: Individual velocity functions
			   composed of time/velocity pairs are displayed
			   with the velocity on the horizontal axis and
			   the time value for each velocity on the
			   vertical axis.  Time velocity pairs, displayed as
			   velocity points in time, may be inserted,
			   removed, or changed in either time, velocity, or
			   both.

Different data displays and edit functions are invoked with the use of the
keyboard function keys F2 through F5.  Help is available by pressing F1.

Written using the TURBO C compiler, V2.0, 1988-1989

*/

#include <stdio.h>
#include <graphics.h>

#ifndef ISODEFSH
#define ISODEFSH 1
#include "isodefs.h"
#endif

#ifndef ISOPARMSH
#define ISOPARMSH 1
#include "isoparms.h"
#endif

int IsoParms();
int IsoDoIt();

int GraphDriver=DETECT;
int GraphMode;

/* ----------------------------------------------------------------- */
void main()
{
  PARAMETERS ioparms;
  int istat=TRUE;

  strcpy(ioparms.srcfl,"exit");
  strcpy(ioparms.deffl,"exit");
  ioparms.datype='i';
  strcpy(ioparms.cdp1,"1");
  strcpy(ioparms.cdp2,"500");
  ioparms.tstart=-1.0;
  ioparms.tend=ioparms.tstart;
  ioparms.isolo=0;
  ioparms.isohi=20000;
  ioparms.isoinc=1000;

  while(istat==TRUE)
  {
    istat=IsoFiles(&ioparms);
    if(istat==TRUE)
      istat=IsoDoIt(&ioparms);
  }
}
