/*                            -----IsoNewV.c-----

Written by F.N.Zihlman
compiler: Turbo C V2.0

USAGE: velocity_value=IsoNewV(x,xmin,xmax,vmin,vmax)

where: 1) velocity_value is of type float
       2) x, xmin, xmax are x coordinate references of type int
       3) vmin, vmax are velocity references of type float

FUNCTION: Given the current cursor x value, the possible x minimum
	  and maximum and the possible velocity minimum and maximum it
	  will return the linearly interpolated velocity value for the
	  current cursor x position
*/

float IsoNewV(x,xmin,xmax,vmin,vmax)
int   x,xmin,xmax;
float vmin,vmax;
{
  float v;

  if(x>xmax)
    x=xmax;
  if(x<xmin)
    x=xmin;
  v=((x-xmin)*(vmax-vmin)/(xmax-xmin))+vmin;
  return(v);
}                        /* -----end IsoNewV----- */
